import request from '@/utils/request'

// 查看所有客户列表
export function selectList(data) {
  return request({
    url: '/pay/customer/list',
    method: 'POST',
    data: data
  });
}

// 请求未入住的服务code
export function customerAll() {
  return request({
    url: '/pay/customer/all',
    method: 'GET'
  });
}

// 添加
export function save(data) {
  return request({
    url: '/pay/customer',
    method: 'POST',
    data: data
  });
}

// 修改
export function update(data) {
  return request({
    url: `/pay/customer/${data.id}`,
    method: 'PUT',
    data: data
  });
}

// 获取单挑
export function get(id) {
  return request({
    url: '/pay/customer/' + id,
    method: 'GET'
  });
}
